# Generated by Django 4.2.13 on 2024-08-21 17:02

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Locutor',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256)),
                ('gender', models.CharField(blank=True, max_length=32)),
                ('place_of_residence', models.CharField(blank=True, max_length=32)),
                ('is_main_locutor', models.BooleanField(default=False)),
                ('license', models.CharField(choices=[('cc-zero', 'CC0'), ('cc-by', 'CC BY 4.0'), ('cc-by-sa', 'CC BY-SA 4.0')], default='cc-by-sa', max_length=16)),
                ('linked_user', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='locutors', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UsesLanguage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('language_qid', models.CharField(max_length=32)),
                ('proficiency', models.SmallIntegerField(choices=[(1, 'Beginner'), (2, 'Average'), (3, 'Good'), (4, 'Professional'), (5, 'Native')])),
                ('place_of_learning', models.CharField(blank=True, max_length=32)),
                ('locutor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='languages_used', to='locutors.locutor')),
            ],
        ),
        migrations.CreateModel(
            name='ShareableLists',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('words', models.TextField()),
                ('language_qid', models.CharField(max_length=32)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('locutor', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='lists_created', to='locutors.locutor')),
            ],
        ),
        migrations.AddConstraint(
            model_name='useslanguage',
            constraint=models.UniqueConstraint(fields=('locutor', 'language_qid'), name='cannot be twice the same locutor and language'),
        ),
    ]
